!function($){
	$(document).ready(function ($) {
        // Menu Click
	    $(".scroll").click(function (event) {
	        event.preventDefault();
	        $('html,body').animate({scrollTop: $(this.hash).offset().top - 50}, 500);
	    });

        // Back to top
        var $backToTop = $('.back-to-top');
        if ( $backToTop.length > 0 ) {
            $backToTop.click(function(event) {
                event.preventDefault();
                $('html,body').animate({
                    scrollTop: '0px'
                }, 800);
            });
            $(window).scroll(function () {
                var scrollPosition = $(window).scrollTop();
                var windowHeight = $(window).height() / 2;
                if (scrollPosition > windowHeight) {
                    $backToTop.addClass('in');
                }
                else {
                    $backToTop.removeClass('in');
                }
            });
        }

	    // Cache selectors
	    var lastId,
	        topMenu = $(".menu"),
	        topMenuHeight = 80,
	        // All list items
	        menuItems = topMenu.find("a"),
	        // Anchors corresponding to menu items
	        scrollItems = menuItems.map(function () {
	            var item = $($(this).attr("href"));
	            if (item.length) {
	                return item;
	            }
	        });

	    // Bind click handler to menu items
	    // so we can get a fancy scroll animation
	    menuItems.click(function (e) {
	        var href = $(this).attr("href"),
	            offsetTop = href === "#" ? 0 : $(href).offset().top - 20 + 1;
	        $('html, body').stop().animate({
	            scrollTop: offsetTop
	        }, 300);
	        e.preventDefault();
	    });

	    // Bind to scroll
	    $(window).scroll(function () {
	        // Get container scroll position
	        var fromTop = $(this).scrollTop() + topMenuHeight;

	        // Get id of current scroll item
	        var cur = scrollItems.map(function () {
	            if ($(this).offset().top < fromTop)
	                return this;
	        });
	        // Get the id of the current element
	        cur = cur[cur.length - 1];
	        var id = cur && cur.length ? cur[0].id : "";

	        if (lastId !== id) {
	            lastId = id;

	            $('.parent').removeClass('parent-active');
	            $('#haru_' + id).parents('.parent').addClass('parent-active');
	            $(".parent-active .children").each(function (i) {
	                $(this).attr("style", "-webkit-animation-delay:" + i * 200 + "ms;"
	                    + "-moz-animation-delay:" + i * 200 + "ms;"
	                    + "-o-animation-delay:" + i * 200 + "ms;"
	                    + "animation-delay:" + i * 200 + "ms;");
	                    if (i == $("children").size() -1) {
	                        $(".children").addClass("play")
	                    }
	                });

	            // Set/remove active class
	            menuItems.parent().removeClass("active")
	                .end().filter("[href=#" + id + "]")
	                .parent().addClass("active");

	        }

            var hT = $('#document-menu').offset().top,
                wS = $(this).scrollTop();
                // console.log(hT , wS);
                if ( wS > 95 ) { // Need change 95 to variable
                    $('#document-menu').addClass('sticky');
                } 
                else {
                    $('#document-menu').removeClass('sticky');
                }
	    });

	    if ($('.document-item').length > 0) {
	        $('.document-item').magnificPopup({
	          	delegate: 'img',
	          	type: 'image',
         	 	callbacks: {
	            	elementParse: function(item) {
	              		item.src = item.el.attr('src')
	            	},
	          	},
	        })
      	}
	});
}(jQuery);